Skip to main content
GET
Get Delivery

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

endpoint_id
string<uuid>
required
delivery_id
string<uuid>
required

Response

Successful Response

Response for a single webhook delivery with full payload.

id
string<uuid>
required
endpoint_id
string<uuid>
required
event
enum<string>
required

Events that can trigger webhook notifications.

Available options:
deploy.succeeded,
deploy.failed
status
enum<string>
required

Status of a webhook delivery attempt.

Available options:
pending,
succeeded,
failed,
retrying
attempt_count
integer
required
Required range: x >= 0
last_status_code
integer | null
required
last_error
string | null
required
next_retry_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
created_at
string<date-time>
required
payload
Payload · object
required